# AR MultiPendulum: AR Headset Experience

[AR MultiPendulum](https://apps.apple.com/app/ar-multipendulum/id1583322801) allows users to interact with virtual objects directly with their hand instead of tapping an object's location on a touchscreen. It brings a mesmerizing [multi-pendulum simulation](https://philipturner.github.io/multipendulum) into augmented reality. Users interact with this simulation through hand movements and modify it through a holographic interface.

Not only does this app bring augmented reality to a pendulum simulation, it is also the first app to simulate more than three pendulums. Additionally, by repurposing a VR headset for AR, this is the first app that gives users an affordable AR headset experience. If a user has Google Cardboard, they can turn their iPhone into an AR headset that renders their surroundings in VR, based on images acquired using their device’s camera.

Some of the latest iPhones and iPads have a built-in LiDAR scanner, which allows a device to understand the 3D shape of its surroundings. On these devices, this app uses the scanner to more realistically render the user's surroundings and reconstruct the 3D position of their hand.

AR MultiPendulum is available for free on the [Apple App Store](https://apps.apple.com/app/ar-multipendulum/id1583322801). It is based on [ARHeadsetKit](https://github.com/philipturner/ARHeadsetKit), a high-level framework for bringing AR headset experiences to iOS. To learn about how this app was created, check out [this article](https://philipturner.github.io/first-affordable-ar-headset).
